Blog

Boxshot 5.0.8

06 Jun 2019

After about three months of beta-testing we are proud to announce that Boxshot 5 is officially released! It took us almost a year, but the new version is well worth the waiting. Keep reading for more details, especially if you haven't tried the beta yet.

Key Features of Boxshot 5

This was discussed in a couple of blog posts before, so here is a brief list of what's new in version 5:

  • path tracing instead of ray tracing;
  • new lighting and materials;
  • linear workflow instead of srgb;
  • much more realistic opengl preview;
  • new project format with embedded models;
  • "good enough" and "render more" buttons in rendering window;
  • new user interface;
  • new minimal system requirements.

Here are some links to read more about the new features:

Feel free to read other blog posts about the beta versions of Boxshot 5 for even more details.

Boxshot 4 and Boxshot 5

Boxshot 5 has new rendering engine, different lighting and materials, so some of the old scenes may not look exactly the same as in version 4. That's why you can have both versions installed in your system and use the one wich works best for the particular project. We recommend to start new projects in Boxshot 5 and slowly convert the old projects to version 5 when needed.

On Windows, Boxshot 5 is installed as a separate application and you see both Boxshot 4 and Boxshot 5 in your Start menu. On Mac version 5 has different bundle name (and icon) so you can have them both in your Applications folder.

Although Boxshot 5 is a major update, your Boxshot 4 license should work just fine as long as it is up to date. Otherwise you can renew it here to use the latest version.

Beta Releases

Starting with version 5 we'll be releasing beta versions before announcing the stable ones.

As you can see this is the 9-th release of Boxshot 5 and the previous 8 releases were betas. If you want to be on the edge and get the new features as soon as we release them, check the "Including beta versions" box in the "Updates" section of your Boxshot Settings window.

This way you will be notified about every beta version we release. Otherwise you will be notified only about the stable versions like this one.

System Requirements

Boxshot 5 does not support 32-bit Windows anymore. It also needs at least macOS 10.10 to work.

If your operating system does not match the new requirements, consider using Boxshot 4 that has lower appetite. It can be downloaded here at the bottom of the page.

Website Update

We're going to update the website in the next couple of weeks, do not be surpised. So far we simply replaced "4" with "5", but there's more to come ;)

Download Boxshot 5

Nothing really changed here, simply click the button below:

Or visit the downloads page if you need a version for another platform.

Any Feedback?

We have a public forum where you can share what you think.

That's all for now, have fun with the new version :)